import { Component } from 'react'
import Taro from '@tarojs/taro'
import './app.less'
import 'taro-ui/dist/style/index.scss'

class App extends Component {
  state = {
    userInfo: Taro.getStorageSync('userInfo') || {},// 用户信息
    optionsData: {},// 未登录页面跳转数据
  }

  // 新增方法：更新 optionsData
  updateOptionsData = (data) => {
    this.setState({ optionsData: data });
  }

  componentDidMount () {
    // 存储导航栏高度
    const systemInfo = Taro.getSystemInfoSync()
    Taro.navigationBarHeight = systemInfo.safeArea.top
  }

  componentDidShow () {}

  componentDidHide () {}

  render () {
    // this.props.children 是将要会渲染的页面
    return this.props.children
  }
}

export default App
